GET /incidents

Authentication

Bearer Token (hu_api_key)

Query Parameters

page integer optional query
per_page integer optional query
status string optional query
severity string optional query

Responses

200 Paginated list of incidents
application/json
data object[]
Array of:
title string REQUIRED
severity string REQUIRED
Enum: minor, major, critical
status string REQUIRED
Enum: investigating, identified, monitoring, resolved
message string
monitor_ids string[]
Array of:
meta object
page integer REQUIRED
per_page integer REQUIRED
total integer REQUIRED
total_pages integer REQUIRED
curl -X GET 'https://happyuptime.com/api/v1/incidents' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://happyuptime.com/api/v1/incidents', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://happyuptime.com/api/v1/incidents', headers=headers)print(response.json())
200 Response
{  "data": [    {      "title": "<string>",      "severity": "minor",      "status": "investigating",      "message": "<string>",      "monitor_ids": [        "<string>"      ]    }  ],  "meta": {    "page": 1,    "per_page": 25,    "total": 42,    "total_pages": 2  }}